[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: pthread conflict compiling on Dec Unix 4.0

Yes, using a modified version of the stuff that Rodney McDuff 
<ccmcduff@prentice.uq.edu.au> posted to the list last week or so.
This has worked on DU 4.0d machines, both of which have the
newest patch kit on them.  I had a lot more trouble with 4.0b --
there seemed to be a lot more compiler and library problems.


setenv CC cc
setenv CFLAGS "-O4 -std"
setenv CPPFLAGS "-I/usr/local/include"
setenv LDFLAGS "-L/usr/local/lib"
setenv LIBS "-lpthread -lpthreads"

./configure --prefix=/usr/local/ldap --enable-slurpd --enable-shared\
    --with-threads --with-ldbm-api=gdbm

Then 'make depend' and 'make'

Anyway, the tests pass.  I'm not really running Openldap as a full-blown
server, though -- I'm using the libraries to hack support for LDAP
authentication into the news reader daemon on our news server so
it can talk to a Netware 5 box running Novell's LDAP.